function DIFFe=do_DIFFe_2Dt(ZETAe)
% usage:  DIFFe=do_DIFFe(ZETAe)
% Calculates element diffusion matrices for linear triangle elements
% according to eq 5.39 of Finite Elements 1-2-3.  Does not include the 2*Ae
% factor or the ke (element diffusion)factor.
%
% ZETAe should be calculated prior to calling this routine 
% using do_ZETAe_2Dt.
%
% DIFFe is calculated as a 3 by 3 by nelements array, with the ith plane,
% DIFFe(:,:,i), corresponding to the ith element.

% find the number of elements
nelements = size(ZETAe,3);

% reserve memory for DIFFe
DIFFe = zeros(3,3,nelements);

for i=1:nelements,
  for j=1:3,
    for k=1:3,
      DIFFe(k,j,i) = (ZETAe(k,:,i) * ZETAe(j,:,i)')/2;
    end
  end
end
