function tecplot_data(x,y,stations,filename,tecplot_title,x_var,y_var)
%tecplot_data takes a set of data and formats it for tecplot using
%the block structure
%Syntax:tecplot_data(x,y,filename)
close all;

x_len = length(x);
y_size = size(y);

iterations = y_size(2);

fid = fopen(filename,'w');

if x_len ~= y_size(1)
   disp('Matrix lengths do not agree.\n')
else
   fprintf(fid,['TITLE="' tecplot_title ' " \n']);
   fprintf(fid,['VARIABLES= ' x_var ' ' y_var '\n']);
   for ii = 1:1:iterations
               
      if ii == 1
        fprintf(fid,['ZONE T = " ' num2str(stations(ii)) ' " , F = BLOCK, I = ' num2str(x_len) '\n']);
        
        fprintf(fid,['# 18 ' x_var '  VARB(18)  STEP ' num2str(ii-1) '\n']);  
        for jj=1:1:x_len fprintf(fid,'%6.4f ',x(jj));end;
        fprintf(fid,'\n');
         
        fprintf(fid,['# 1 ' y_var '  VARB(1)   STEP ' num2str(ii-1) '\n']);   
        for jj=1:1:x_len fprintf(fid,'%6.4f ',y(jj,ii));end;
        fprintf(fid,'\n');
	   else
        fprintf(fid,['ZONE T = " ' num2str(stations(ii)) ' " , F = BLOCK, I = ' num2str(x_len) ' , D=(1)\n' ]);
        fprintf(fid,['# 1 ' y_var '  VARB(1)   STEP ' num2str(ii-1) '\n']);   
        
        for jj=1:1:x_len fprintf(fid,'%6.4f ',y(jj,ii));end;
        fprintf(fid,'\n');
        
     end
    end     
end

fclose(fid);

return
