function tecplot_data(x,y,stations,filename,tecplot_title,x_var,y_var)
%tecplot_data takes a set of data and formats it for tecplot using
%the block structure
%Syntax:tecplot_data(x,y,filename)
close all;

x_len = length(x);
y_size = size(y);

iterations = y_size(2);

fid = fopen(filename,'w');

if x_len ~= y_size(1)
   disp('Matrix lengths do not agree.\n')
else
   fprintf(fid,'# vtk DataFile Version 3.0 \n'); 
	fprintf(fid, [tecplot_title ' \n']);
	fprintf(fid,'ASCII\n');
	fprintf(fid,'DATASET POLYDATA\n');   
	fprintf(fid,['POINTS= ' num2str(x_len) ' float\n']);
   
for ii = 1:1:x_len
	fprintf(fid, [num2str(x(ii)) ' ' num2str(y(ii)) ' 0.0\n']);
end

%for 1-d problems only 
fprintf(fid, ['LINES ' num2str(x_len-1) ' ' num2str((x_len-1)*3) '\n']);
point_names = 0:1:x_len-1;

for ii = 2:1:length(point_names)

fprintf(fid,['2 ' num2str(point_names(ii-1)) ' ' num2str(point_names(ii)) '\n']);
end

%fprintf(fid,['CELL TYPES ' num2str(x_len-1) '\n']);
%for ii=1:1:x_len-1
%fprintf(fid,'12\n');
%end

%fprintf(fid,['POINT_DATA ' num2str(x_len) '\n']);

%fprintf(fid, ['Scalars ' y_var ' float\n']); 
%fprintf(fid, 'LOOKUP_TABLE default\n');

%for ii=1:1:x_len
%fprintf(fid, [num2str(y(ii)) '\n']);
%end
end

fclose(fid);

return
