function vtk_1Ddata(x,q,stations,filename,title,x_label,sln_label)
%vtk_2Ddata takes a set of 2D data and formats it for VTK using
%the block structure
%Syntax:vtk_data2D(x,y,elcon,stations,filename,title,x_label,y_label)
close all;

[x_row x_col]= size(x);
[q_row q_col] = size(q);

x_len = x_row*x_col;
q_len = q_row*q_col;
fid = fopen(filename,'w');
%Header information
if x_len ~= q_len
   disp('Matrix lengths do not agree.\n')
else
   fprintf(fid,'# vtk DataFile Version 3.0 \n'); 
	fprintf(fid, [title ' \n']);
	fprintf(fid,'ASCII\n');
	fprintf(fid,'DATASET UNSTRUCTURED_GRID\n');
	fprintf(fid,['POINTS ' num2str(x_len) ' float\n']);
count = 0;
%write all x values
for ii = 1:1:x_len
	fprintf(fid,'%6.4f 0.00 0.00\n',x(ii)  );
  end
%write the element connectivity
fprintf(fid, ['CELLS ' num2str(x_len-1) ' ' num2str(3*(x_len-1)) '\n']);

for ii=1:1:x_len-1
  fprintf(fid,[ '2 ' num2str(ii-1) ' ' num2str(ii) '\n']);
end

fprintf(fid,['CELL_TYPES ' num2str(x_len-1) '\n']);
for ii=1:1:x_len-1
fprintf(fid,'3\n');
end

fprintf(fid,['POINT_DATA ' num2str(q_len) '\n']);

fprintf(fid, ['SCALARS Q  float 1\n']); 
fprintf(fid, 'LOOKUP_TABLE default \n');

for ii=1:1:q_len
fprintf(fid, [num2str(q(ii)) '\n']);
end
end

fclose(fid);

return
