function vtk_2Ddata(x,y,q,elcon,stations,filename,title,x_label,y_label)
%vtk_2Ddata takes a set of 2D data and formats it for VTK using
%the block structure
%Syntax:vtk_data2D(x,y,elcon,stations,filename,title,x_label,y_label)
close all;

block_width = 10;

[x_row x_col] = size(x);
[y_row y_col] = size(y);
[q_row q_col] = size(q);

fid = fopen(filename,'w');
%Header information
if [x_row x_col] ~= [y_row y_col]
   disp('Matrix lengths do not agree.\n')
else
   fprintf(fid,'# vtk DataFile Version 3.0 \n'); 
	fprintf(fid, [title ' \n']);
	fprintf(fid,'ASCII\n');
	fprintf(fid,'DATASET UNSTRUCTURED_GRID\n');
	fprintf(fid,['POINTS ' num2str(x_row*x_col) ' float\n']);
count = 0;
%write all x values
for ii = 1:1:x_col
  for jj = 1:1:x_row
%	fprintf(fid,[num2str(x(jj,ii)) ' ' num2str(y(jj,ii)) ' 0.0\n']);
	fprintf(fid,'%6.4f %6.4f 0.00\n',x(jj,ii), y(jj,ii) );
	end
  end
%write the element connectivity
fprintf(fid,'\n');
[elcon_row elcon_col] = size(elcon);
fprintf(fid, ['CELLS ' num2str(elcon_row) ' ' num2str(elcon_row*(elcon_col+1)) '\n']);

for row=1:1:elcon_row
  fprintf(fid, '4 ');
  for col = 1:1:elcon_col
     fprintf(fid,[ num2str(elcon(row,col)-1) ' ']);
  end
  fprintf(fid,'\n');
end

fprintf(fid,['CELL_TYPES ' num2str(elcon_row) '\n']);
for ii=1:1:elcon_row
fprintf(fid,'9\n');
end

fprintf(fid,['POINT_DATA ' num2str(q_row*q_col) '\n']);

fprintf(fid, ['SCALARS Q  float 1\n']); 
fprintf(fid, 'LOOKUP_TABLE default \n');

for ii=1:1:q_row*q_col
fprintf(fid, [num2str(q(ii)) '\n']);
end
end

fclose(fid);

return
